Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510530 - Monitoring > Events does not display a date value, making times very ambiguous.
Summary: Monitoring > Events does not display a date value, making times very ambiguous.
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.1.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 15:45 UTC by Will Gordon
Modified: 2019-03-12 14:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Will Gordon 2017-11-07 15:45:52 UTC
Description of problem:
When viewing Monitoring > Events in a cluster's web console, there is no Date column, providing no context for when events occured.

Version-Release number of selected component (if applicable):
OpenShift Master: v3.6.173.0.21 (online version 3.6.0.54)
Kubernetes Master: v1.6.1+5115d708d7

How reproducible:
Always

Steps to Reproduce:
1. Create events (e.g., launch a new app)
2. Browse to https://console.<cluster-id>.openshift.com/console/project/<project-name>/browse/events

Actual results:
Only a time column which could be from 2 weeks ago, or yesterday

Expected results:
Provide a data column, or provide the date when hovering over the time column to provide context.

Additional info:

Comment 1 Samuel Padgett 2018-09-11 15:30:12 UTC
Typically events have a 2 hour TTL. It's possible to change that, but it seems like setting it to days or weeks is not a good idea. I think in most common cases time is actually sufficient.

Having said this, this is fixed in the 3.11 admin console and 4.0 converged console where we show a full date if the event is older than 10 minutes and an unambiguous timestamp on hover.


Note You need to log in before you can comment on or make changes to this bug.